### Property

# GSSDP Client:allocate-tcp-socket

since: 1.6.5

#### Declaration

    property allocate-tcp-socket: gboolean [ read, write, construct ]

#### Description [src]

The whether to allocate a TCP socket. Mainly used by GUPnPContext to signalize that it can handle a pre-allocated socket. Will become non-configurable default-on in a future release.

Type:`gboolean`

Available since: 1.6.5

Default value | FALSE

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no